- name: Prepare Systems
  hosts: physical_agents:core_services
  become: true
  roles:
    - prepare

- name: Install NFS client
  hosts: fleet_nodes:!pve_hosts:!igor
  become: false
  roles:
    - nfs_client

- name: Fleet update (apt update + upgrade)
  hosts: managed_nodes
  become: true
  tags:
    - fleet_update
  roles:
    - prepare

- name: LXC common provisioning (git + ansible)
  hosts: lxcs
  become: true
  tags:
    - lxc_common
  roles:
    - lxc_common

- name: Install Wolfstack and keepalived
  hosts: wolfstack
  become: true
  roles:
    - wolfstack
